Show / Hide Table of Contents

# Struct AozContentData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AozContentData

### Fields

| Improve this Doc View Source

#### Act1Arrangement

##### Declaration

    public AozArrangementData Act1Arrangement

##### Field Value

Type | Description
--- | ---
AozArrangementData |

| Improve this Doc View Source

#### Act2Arrangement

##### Declaration

    public AozArrangementData Act2Arrangement

##### Field Value

Type | Description
--- | ---
AozArrangementData |

| Improve this Doc View Source

#### Act3Arrangement

##### Declaration

    public AozArrangementData Act3Arrangement

##### Field Value

Type | Description
--- | ---
AozArrangementData |

| Improve this Doc View Source

#### AdvancedRewards

##### Declaration

    public AozWeeklyReward AdvancedRewards

##### Field Value

Type | Description
--- | ---
AozWeeklyReward |

| Improve this Doc View Source

#### AdvancedString

##### Declaration

    public Utf8String AdvancedString

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Arrangements

##### Declaration

    public byte *Arrangements

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### CurrentActIndex

##### Declaration

    public byte CurrentActIndex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CurrentContentIndex

##### Declaration

    public int CurrentContentIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentEnemyIndex

##### Declaration

    public byte CurrentEnemyIndex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxContentEntries

##### Declaration

    public int MaxContentEntries

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ModerateRewards

##### Declaration

    public AozWeeklyReward ModerateRewards

##### Field Value

Type | Description
--- | ---
AozWeeklyReward |

| Improve this Doc View Source

#### ModerateString

##### Declaration

    public Utf8String ModerateString

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### NoviceRewards

##### Declaration

    public AozWeeklyReward NoviceRewards

##### Field Value

Type | Description
--- | ---
AozWeeklyReward |

| Improve this Doc View Source

#### NoviceString

##### Declaration

    public Utf8String NoviceString

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### SelectedContentIndex

##### Declaration

    public int SelectedContentIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WeeklyRewards

##### Declaration

    public byte *WeeklyRewards

##### Field Value

Type | Description
--- | ---
System.Byte* |